# Uses of Interface
org.apache.wiki.api.events.CustomWikiEventListener

Packages that use CustomWikiEventListener
Package
Description
org.apache.wiki.api.events
JSPWiki's Engine events component related classes.

## Uses of CustomWikiEventListener in org.apache.wiki.api.events

Fields in org.apache.wiki.api.events with type parameters of type CustomWikiEventListener
Modifier and Type
Field
Description
`static final List<CustomWikiEventListener<?>>`
CustomWikiEventListener.`LISTENERS`
`WikiEventListener`s are stored on a `List< WeaKReference >` so we use this List to strong reference custom event listeners.